Bug 1917 - Add RSS Feeds for Lists
Summary: Add RSS Feeds for Lists
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-04 06:09 UTC by Nicole C. Engard
Modified: 2015-12-03 22:11 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 1917 - Add RSS Feeds for Lists (3.51 KB, patch)
2015-04-17 18:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 1917 - Add RSS Feeds for Lists (3.38 KB, patch)
2015-04-17 18:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 1917 - Add RSS Feeds for Lists (3.45 KB, patch)
2015-04-17 20:15 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[Signed-off] Bug 1917 - Add RSS Feeds for Lists (3.63 KB, patch)
2015-04-18 16:13 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Use html filter, only show 'by' if author exists, change link title (2.39 KB, patch)
2015-04-20 16:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Use html filter, remove "by", change link title (2.44 KB, patch)
2015-04-20 16:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Use html filter, only show 'by' if author exists, change link title (2.39 KB, patch)
2015-04-20 16:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 1917 - Add RSS Feeds for Lists (3.68 KB, patch)
2015-04-20 20:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 1917 [QA Followup] - Use html filter, only show 'by' if author exists, change link title (2.47 KB, patch)
2015-04-20 20:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Remove unnecessary use of html filter (1.37 KB, patch)
2015-04-21 14:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Don't limit the list results for RSS feeds (2.71 KB, patch)
2015-04-22 11:37 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 1917 - Add RSS Feeds for Lists (3.74 KB, patch)
2015-04-22 12:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Use html filter, only show 'by' if author exists, change link title (2.53 KB, patch)
2015-04-22 12:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Remove unnecessary use of html filter (1.44 KB, patch)
2015-04-22 12:42 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 1917 [QA Followup] - Don't limit the list results for RSS feeds (2.78 KB, patch)
2015-04-22 12:42 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:36:06 UTC


---- Reported by nengard@gmail.com 2008-03-04 06:09:19 ----

I had a Koha user make a great suggestion today.  He suggested RSS feeds for the Virtual Shelves so that he could easily bring them into other applications like Drupal and Moodle.  This sounded like a pretty easy enhancement to develop.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:36 UTC  ---

This bug was previously known as _bug_ 1917 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1917

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here

Comment 1 Kyle M Hall 2015-04-17 18:04:57 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-04-17 18:08:25 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2015-04-17 20:15:22 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2015-04-17 20:16:01 UTC
I know I can't mark this as signed off cause Kyle wrote it - but since I asked for it in 2008 I was excited and signed off on the file but left it as 'needs signoff' for a second sign off.

Nicole
Comment 5 Marc Véron 2015-04-18 16:13:23 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-19 22:29:11 UTC
Comment on attachment 38117 [details] [review]
[Signed-off] Bug 1917 - Add RSS Feeds for Lists

Review of attachment 38117 [details] [review]:
-----------------------------------------------------------------

Hi,

I love to see work on the low bug numbers! :)

The biggest issue here is that the strings from opac-shelves-rss.tt don't appear to be translatable. I updated my po files, but the strings or file name won't show up there.

I also found some smaller issues, please see comments below:

::: koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-shelves-rss.tt
@@ +2,5 @@
> +
> +<rss version="2.0">
> +
> +<channel>
> + <title>[% shelfname %]</title>

Why no |html here, but below?

@@ +8,5 @@
> + <description>RSS feed for public list [% shelfname | html %]</description>
> +
> +[% FOREACH i IN itemsloop %]
> + <item>
> +  <title>[% i.title %] by [% i.author %]</title>

The by is always shown, even if there is no author. Also because of the included ISBD punctuation in MARC21 this would only be needed/useful for UNIMARC.

::: koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-shelves.tt
@@ +153,5 @@
>                      [% IF ( viewshelf ) %]<!--  Viewing a particular shelf -->
> +                        <h3>
> +                            [% shelfname |html %]
> +                            <a href="[% OPACBaseURL %]/cgi-bin/koha/opac-shelves.pl?rss=1&amp;viewshelf=[% shelfnumber | html %]" class="rss-list-link noprint">
> +                                <img src="[% interface %]/[% theme %]/images/feed-icon-16x16.png" alt="Subscribe to this search" title="Subscribe to this search" border="0" class="rsssearchicon"/>

Should we adjust the title here? Maybe: Subscribe to this list
Comment 7 Kyle M Hall 2015-04-20 16:10:13 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-04-20 16:15:49 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-04-20 16:25:19 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2015-04-20 16:55:00 UTC
With Katrin's help I was able to run the translator tool and it appears to be pickup up the template, so that should no longer be an issue!
Comment 11 Katrin Fischer 2015-04-20 20:33:11 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2015-04-20 20:33:27 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2015-04-20 20:34:20 UTC
Functionally I am happy with this, but a little confused about the use/non-use of the html filter - can you explain for the different spots?
Comment 14 Katrin Fischer 2015-04-21 09:47:49 UTC
Kyle, can you explain please?

<link>[% OPACBaseURL %]/cgi-bin/koha/opac-shelves.pl?rss=1&amp;viewshelf=[% shelfnumber %]</link>
But:
<a href="[% OPACBaseURL %]/cgi-bin/koha/opac-shelves.pl?rss=1&amp;viewshelf=[% shelfnumber | html %]" class="rss-list-link


<title>[% shelfname %]</title>
But:
<description>RSS feed for public list [% shelfname | html %]</description>
Comment 15 Kyle M Hall 2015-04-21 14:04:03 UTC Comment hidden (obsolete)
Comment 16 Kyle M Hall 2015-04-21 14:05:33 UTC
(In reply to Katrin Fischer from comment #14)
> Kyle, can you explain please?
> 
> <link>[% OPACBaseURL %]/cgi-bin/koha/opac-shelves.pl?rss=1&amp;viewshelf=[%
> shelfnumber %]</link>
> But:
> <a href="[% OPACBaseURL
> %]/cgi-bin/koha/opac-shelves.pl?rss=1&amp;viewshelf=[% shelfnumber | html
> %]" class="rss-list-link
> 
> 
> <title>[% shelfname %]</title>
> But:
> <description>RSS feed for public list [% shelfname | html %]</description>

That was an accidental use of the html filter. It doesn't help or hurt anything, since the variable will always be an integer. However, I've added a followup to remove the use of the filter. I assume this takes care of the last issue and I've set the status to passed qa. If I'm wrong please reset the status.
Comment 17 Katrin Fischer 2015-04-21 15:07:20 UTC
I want to test something else before passing qa - thx for the follow-up :)
Comment 18 Katrin Fischer 2015-04-21 20:45:19 UTC
Hm, I found another thing: The RSS feed will only list the first(?) 20 of a longer list. I am not sure why this happens and if there is a way to get a complete list.

We have a system preference for the search results - numSearchRSSResults - maybe it should follow that? But I'd kinda expect it to give a full list or at least have an explanation or a link to get to the full list.
Comment 19 Kyle M Hall 2015-04-22 11:36:47 UTC
Agreed, I think it should be a the full list.

(In reply to Katrin Fischer from comment #18)
> Hm, I found another thing: The RSS feed will only list the first(?) 20 of a
> longer list. I am not sure why this happens and if there is a way to get a
> complete list.
> 
> We have a system preference for the search results - numSearchRSSResults -
> maybe it should follow that? But I'd kinda expect it to give a full list or
> at least have an explanation or a link to get to the full list.
Comment 20 Kyle M Hall 2015-04-22 11:37:37 UTC Comment hidden (obsolete)
Comment 21 Martin Renvoize 2015-04-22 12:42:22 UTC
Created attachment 38332 [details] [review]
Bug 1917 - Add RSS Feeds for Lists

Test Plan:
1) Apply this patch
2) Create one or more public lists
3) View the list in the opac
4) Note the new RSS icon next to the list name
5) Open the link in FireFox or an RSS reader
6) You should see an RSS feed of your list with the title
   and author of each item as a hyperlink to the record details

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 22 Martin Renvoize 2015-04-22 12:42:25 UTC
Created attachment 38333 [details] [review]
Bug 1917 [QA Followup] - Use html filter, only show 'by' if author exists, change link title

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 23 Martin Renvoize 2015-04-22 12:42:28 UTC
Created attachment 38334 [details] [review]
Bug 1917 [QA Followup] - Remove unnecessary use of html filter

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 24 Martin Renvoize 2015-04-22 12:42:31 UTC
Created attachment 38335 [details] [review]
Bug 1917 [QA Followup] - Don't limit the list results for RSS feeds

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 25 Martin Renvoize 2015-04-22 12:43:32 UTC
Followups all look sound to me.. passing qa.
Comment 26 Tomás Cohen Arazi 2015-04-29 15:18:33 UTC
Patches pushed to master.

Thanks Kyle!